org.apache.ignite.internal.client.util

## Class GridConcurrentHashSet<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - org.apache.ignite.internal.client.util.GridConcurrentHashSet<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, Set<E>

    public class GridConcurrentHashSet<E>
    extends AbstractSet<E>

Wrapper around concurrent map.

### Field Summary

Fields
`protected ConcurrentMap<E,Object>` `map` Base map.
`protected static Object` `VAL` Dummy value.

### Constructor Summary

Constructors
Constructor and Description
`GridConcurrentHashSet()` Creates new set based on `ConcurrentHashMap`.
`GridConcurrentHashSet(ConcurrentMap<E,?> map)` Creates new set based on the given map.

### Method Summary

Methods
`boolean` `add(E e)`
`void` `clear()`
`boolean` `contains(Object o)`
`boolean` `isEmpty()`
`Iterator<E>` `iterator()`
`protected <T extends Map<E,Object>> T` `map()` Gets wrapped map.
`boolean` `remove(Object o)`
`int` `size()`
`Object[]` `toArray()`
`<T> T[]` `toArray(T[] a)`
`String` `toString()`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, containsAll, retainAll`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`addAll, containsAll, retainAll`

### Field Detail

#### VAL

    protected static final Object VAL

Dummy value.

#### map

    protected ConcurrentMap<E,Object> map

Base map.

### Constructor Detail

#### GridConcurrentHashSet

    public GridConcurrentHashSet()

Creates new set based on `ConcurrentHashMap`.

#### GridConcurrentHashSet

    public GridConcurrentHashSet(ConcurrentMap<E,?> map)

Creates new set based on the given map.

Parameters:
  `map` - Map to be used for set implementation.

### Method Detail

#### map

    protected final <T extends Map<E,Object>> T map()

Gets wrapped map.

Returns:
  Wrapped map.

#### add

    public boolean add(E e)

Specified by:
  `add` in interface `Collection<E>`
Specified by:
  `add` in interface `Set<E>`
Overrides:
  `add` in class `AbstractCollection<E>`

#### iterator

    public Iterator<E> iterator()

Specified by:
  `iterator` in interface `Iterable<E>`
Specified by:
  `iterator` in interface `Collection<E>`
Specified by:
  `iterator` in interface `Set<E>`
Specified by:
  `iterator` in class `AbstractCollection<E>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<E>`
Specified by:
  `size` in interface `Set<E>`
Specified by:
  `size` in class `AbstractCollection<E>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<E>`
Specified by:
  `isEmpty` in interface `Set<E>`
Overrides:
  `isEmpty` in class `AbstractCollection<E>`

#### contains

    public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<E>`
Specified by:
  `contains` in interface `Set<E>`
Overrides:
  `contains` in class `AbstractCollection<E>`

#### toArray

    public Object[] toArray()

Specified by:
  `toArray` in interface `Collection<E>`
Specified by:
  `toArray` in interface `Set<E>`
Overrides:
  `toArray` in class `AbstractCollection<E>`

#### toArray

    public <T> T[] toArray(T[] a)

Specified by:
  `toArray` in interface `Collection<E>`
Specified by:
  `toArray` in interface `Set<E>`
Overrides:
  `toArray` in class `AbstractCollection<E>`

#### remove

    public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<E>`
Specified by:
  `remove` in interface `Set<E>`
Overrides:
  `remove` in class `AbstractCollection<E>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Collection<E>`
Specified by:
  `clear` in interface `Set<E>`
Overrides:
  `clear` in class `AbstractCollection<E>`

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractCollection<E>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015